Skip to main content

Get batch by id

Get batch by id

Path Parameters
batchId uuid — REQUIRED

The id of the batch

Example: 11112222-3333-4444-5555-666677778888

Responses
200

The batch

Schema — OPTIONAL
batchId uuid — OPTIONAL

The batch id

companyId uuid — OPTIONAL

The id of the company this batch is associated with

name string — OPTIONAL

The batch name

labelCount int32 — OPTIONAL

The total number of labels. Interpretation depends on value of BrandSecureSystem.Frontend.Shared.Labels.SharedLabelBatchModel.WithClosedCode

withClosedCode boolean — OPTIONAL

Whether this batch contains closed codes

status int32 — OPTIONAL

Possible values: [0, 1]

The batch status (locked/unlocked)

articleNumber string — OPTIONAL

An arbitrary article number

orderNumber string — OPTIONAL

An arbitrary order number

createdAt date-time — OPTIONAL

The point in time at which the batch was created

400

An error describing the issue caused by the client

Schema — OPTIONAL
type int32 — OPTIONAL

Possible values: [0, 1, 2, 3, 4]

The type of client error

message string — OPTIONAL

The error message

500

An error describing the server issue

Schema — OPTIONAL
message string — OPTIONAL

The error message